OCIOPERF(1)

NAME
ocioperf - apply and measure a color transformation processing

DESCRIPTION
ocioperf -- apply and measure a color transformation processing

usage: ocioperf [options] --image inputimage

--help
    Display the help and exit

--verbose
    Display some general information

--test %d
    Define the type of processing to measure: 0 means on the complete image (the default), 1 is line-by-line, 2 is pixel-per-pixel and -1 performs all the test types

--transform %s
    Provide the transform file to apply on the image

--colorspaces %s %s
    Provide the input and output color spaces to apply on the image

--displayview %s %s %s
    Provide the input and (display, view) pair to apply on the image

--image %s
    Provide the filepath of the image to process

--iter %d
    Provide the number of iterations on the processing. Default is 10

--out %s
    Provide an output bit-depth (auto, ui16, f32) where auto preserves the input bit-depth

--nocache
    Bypass all caches